NewWacht Bench is live — AI-assisted development for Wacht
POST
/ai/actor-projects/{project_id}/board/items/{item_id}/approval

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

project_id*string
item_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ai/actor-projects/string/board/items/string/approval" \  -H "Content-Type: application/json" \  -d '{    "request_message_id": "string",    "approvals": [      {        "tool_name": "string",        "mode": "allow_once"      }    ]  }'
{  "id": "string",  "board_id": "string",  "task_key": "string",  "title": "string",  "description": "string",  "status": "string",  "assigned_thread_id": "string",  "metadata": null,  "completed_at": "2019-08-24T14:15:22Z",  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "state_version": "string",  "schedule_id": "string",  "scheduled_for": "2019-08-24T14:15:22Z",  "fired_at": "2019-08-24T14:15:22Z",  "pending_question": null,  "pending_approval": null,  "mounts": null,  "exclusive_owner_agent_id": "string",  "deliverables": null}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}